apiVersion: apps/v1
kind: Deployment
metadata:
  name: ruvini-bitcoin-dev-deployment
spec:
  selector:
    matchLabels:
      app: ruvini-bitcoin
  replicas: 3
  template:
    metadata:
      labels:
        app: ruvini-bitcoin
        version: "version-I"
    spec:
      containers:
        - name: ruvini-bitcoin
          image: 'ruvinidockerhub/ruvini_bitcoin_new_image:v9'
          ports:
            - containerPort: 8080